package com.hai.service;

import com.hai.entity.BsRequestRecord;


/**
 * @serviceName BsRequestRecordService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 请求记录
 * @createTime 11:02 2022/5/25
 **/
public interface BsRequestRecordService {

    /**
    * @Author Sum1Dream
    * @name insertRequestRecord.java
    * @Description // 插入请求记录
    * @Date 11:03 2022/5/25
    * @Param [com.hai.entity.BsRequestRecord]
    * @return void
    */
    void insertRequestRecord(BsRequestRecord bsRequestRecord);

    /**
    * @Author Sum1Dream
    * @name updateRequestRecord.java
    * @Description // 更新请求记录
    * @Date 11:03 2022/5/25
    * @Param [com.hai.entity.BsRequestRecord]
    * @return void
    */
    void updateRequestRecord(BsRequestRecord bsRequestRecord);

    /**
    * @Author Sum1Dream
    * @name findRequestRecordBySourceId.java
    * @Description // 查询请求详情
    * @Date 15:25 2022/5/25
    * @Param [java.String.String]
    * @return com.hai.entity.BsRequestRecord
    */
    BsRequestRecord findRequestRecordByOrderNo(String orderNo);

}
