package com.hai.order.service;

import com.hai.entity.HighChildOrder;
import com.hai.entity.HighDiscountUserRel;
import com.hai.entity.HighOrder;
import com.hai.model.ResponseData;
import com.hai.order.model.CreateOrderChildModel;

import java.util.List;

/**
 * 取消订单-业务处理
 * @className: CreateOrderCheckService
 * @author: HuRui
 * @date: 2022/8/25
 **/
public interface OrderCancelHandleService {

    /**
     * 卡券业务
     * @param childOrder 子订单
     * @return
     * @throws Exception
     */
    void couponHandle(HighChildOrder childOrder) ;

    /**
     * 加油业务
     * @param childOrder
     */
    void oilHandle(HighChildOrder childOrder) ;

    void goodsHandle(HighChildOrder childOrder);

}
