package com.hai.order.service;

import com.hai.entity.HighChildOrder;
import com.hai.entity.HighOrderRefund;

/**
 * 退款订单-业务处理
 * @className: CreateOrderCheckService
 * @author: HuRui
 * @date: 2022/8/25
 **/
public interface OrderRefundHandleService {

    /**
     * 卡券业务
     * @param orderRefund
     * @return
     * @throws Exception
     */
    void couponHandle(HighOrderRefund orderRefund) ;

    /**
     * 加油业务
     * @param orderRefund
     */
    void oilHandle(HighOrderRefund orderRefund) ;

    /**
     * @Author Sum1Dream
     * @Name goodsHandle
     * @Description // 商品操作
     * @Date 10:41 2023/4/20
     * @Param [orderRefund]
     * @Return void
     */
    void goodsHandle(HighOrderRefund orderRefund);

}
